> For the complete documentation index, see [llms.txt](https://docs.videograph.ai/llms.txt).
> Use it to discover all available pages before exploring further.

# Get Detailed Content Information


<PlaygroundComponent />

<AuthParams schemes={["basicAuth"]}>
<AuthType scheme="basicAuth">
<ParamField header="Authorization" param-type="string" required="true">
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
</ParamField>
</AuthType>
</AuthParams>

### Path Parameters

<ParamField showLocation="false" path="CONTENT_ID" param-type="string" required="true">
Content UUID
</ParamField>

### Query Parameters

<ParamField showLocation="false" query="include" param-type="string" required="false">
Content UUID
</ParamField>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X GET "https://api.videograph.ai/ext/services/api/v1/contents/example_string?include=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Basic YOUR_CREDENTIALS"
```

```python
import requests
import json

url = "https://api.videograph.ai/ext/services/api/v1/contents/example_string?include=example_string"
headers = {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}

response = requests.get(url, headers=headers)
print(response.json())
```

```javascript
const response = await fetch("https://api.videograph.ai/ext/services/api/v1/contents/example_string?include=example_string", {
  method: "GET",
  headers: {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
)

func main() {
    
    req, err := http.NewRequest("GET", "https://api.videograph.ai/ext/services/api/v1/contents/example_string?include=example_string", nil)
    if err != nil {
        panic(err)
    }
    
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()
    
    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api.videograph.ai/ext/services/api/v1/contents/example_string?include=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - OK" default-open="true">

*OK*

</Expandable>

</div>

<Response tabs="200">

```json
{
  "status": "Success",
  "message": "Content details",
  "code": 200,
  "data": {
    "title": "Video title",
    "description": "Video description",
    "contentId": "",
    "tags": [
      "tag1",
      "tag2"
    ],
    "metadata": [
      {
        "key": "abc",
        "value": "pqr"
      }
    ],
    "playback_policy": [
      "public",
      "signed"
    ],
    "mp4_support": true,
    "save_original_copy": true,
    "statusId": 1,
    "status": "Processing",
    "duration": 100,
    "parentContent": {
      "uuid": "parent_content_uuid",
      "title": "parent content title",
      "thumbnail_url": "parent thumbnail url",
      "category": "RegularVOD",
      "status_id": 3
    },
    "thumbnails": [
      {
        "uuid": "uuid of thumbnail",
        "width": null,
        "height": null,
        "created_on": 0,
        "image_url": "url"
      }
    ],
    "subtitles": [
      {
        "uuid": "uuid of subtitle",
        "name": "subtitle name",
        "language_code": "en",
        "created_on": 0,
        "url": "url"
      }
    ],
    "created_at": 0
  }
}
```

</Response>

